org.eclipse.viatra.dse.evolutionary

## Class Row

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.String>
    - - org.eclipse.viatra.dse.evolutionary.Row

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>

      public class Row
      extends java.util.HashMap<java.lang.String,java.lang.String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Row()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String key, boolean value)`
    `void` | `add(java.lang.String key, double value)`
    `void` | `add(java.lang.String key, float value)`
    `void` | `add(java.lang.String key, int value)`
    `void` | `add(java.lang.String key, long value)`
    `void` | `add(java.lang.String key, java.lang.String value)`
    `java.lang.String` | `getDefaultIfNullValueAsString(java.lang.String key)`
    `boolean` | `getValueAsBoolean(java.lang.String key)`
    `double` | `getValueAsDouble(java.lang.String key)`
    `float` | `getValueAsFloat(java.lang.String key)`
    `int` | `getValueAsInteger(java.lang.String key)`
    `long` | `getValueAsLong(java.lang.String key)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Row

          public Row()

  - ### Method Detail

    - #### add

          public void add(java.lang.String key,
                          java.lang.String value)

    - #### add

          public void add(java.lang.String key,
                          int value)

    - #### add

          public void add(java.lang.String key,
                          long value)

    - #### add

          public void add(java.lang.String key,
                          float value)

    - #### add

          public void add(java.lang.String key,
                          double value)

    - #### add

          public void add(java.lang.String key,
                          boolean value)

    - #### getDefaultIfNullValueAsString

          public java.lang.String getDefaultIfNullValueAsString(java.lang.String key)

    - #### getValueAsInteger

          public int getValueAsInteger(java.lang.String key)

    - #### getValueAsLong

          public long getValueAsLong(java.lang.String key)

    - #### getValueAsFloat

          public float getValueAsFloat(java.lang.String key)

    - #### getValueAsDouble

          public double getValueAsDouble(java.lang.String key)

    - #### getValueAsBoolean

          public boolean getValueAsBoolean(java.lang.String key)